# org.pdfclown.documents.contents.colorSpaces.DeviceNColor Class Reference

DeviceN color value [PDF:1.6:4.5.5]. More...

Inheritance diagram for org.pdfclown.documents.contents.colorSpaces.DeviceNColor:

List of all members.

## Public Member Functions
virtual object | Clone (Document context)
| Gets a clone of the object, registered inside the given document context.
override object | Clone (Document context)
virtual bool | Delete ()
| Removes the object from its document context.
| DeviceNColor (params double[]components)
override bool | Equals (object obj)
sealed override int | GetHashCode ()
## Static Public Member Functions
static DeviceNColor | Get (PdfArray components)
| Gets the color corresponding to the specified components.
static PdfDirectObject | GetBaseObject (PdfObjectWrapper wrapper)
| Gets the PDF object backing the specified wrapper.
## Protected Member Functions
void | CheckCompatibility (object feature)
| Checks whether the specified feature is compatible with the document's conformance version.
double | GetComponentValue (int index)
| Gets the specified color component.
virtual PdfString | RetrieveName ()
| Retrieves the name possibly associated to this object, walking through the document's name dictionary.
PdfDirectObject | RetrieveNamedBaseObject ()
| Retrieves the object name, if available; otherwise, behaves like PdfObjectWrapper.BaseObject.
void | SetComponentValue (int index, double value)
## Static Protected Member Functions
static double | NormalizeComponent (double value)
| Gets the normalized value of a color component [PDF:1.6:4.5.1].
## Properties
PdfArray | BaseArray`[get]`
virtual PdfDirectObject | BaseObject`[get, set]`
ColorSpace | ColorSpace`[get]`
sealed override IList < PdfDirectObject > | Components`[get]`
| Gets the components defining this color value.
PdfIndirectObject | Container`[get]`
| Gets the indirect object containing the base object.
PdfIndirectObject | DataContainer`[get]`
| Gets the indirect object containing the base data object.
Document | Document`[get]`
| Gets the document context.
File | File`[get]`
| Gets the file context.

##

DeviceN color value [PDF:1.6:4.5.5].

## Constructor & Destructor Documentation

org.pdfclown.documents.contents.colorSpaces.DeviceNColor.DeviceNColor | ( | params double[] | components | ) |

## Member Function Documentation

void org.pdfclown.objects.PdfObjectWrapper.CheckCompatibility | ( | object | feature | ) | `[protected, inherited]`

Checks whether the specified feature is compatible with the document's conformance version.

Parameters:

  | feature | Entity whose compatibility has to be checked. Supported types: VersionEnum Property name resolvable to an annotated getter method MemberInfo

virtual object org.pdfclown.objects.PdfObjectWrapper.Clone | ( | Document | context | ) | `[virtual, inherited]`

Gets a clone of the object, registered inside the given document context.

Parameters:

  | context | Which document the clone has to be registered in.

override object org.pdfclown.documents.contents.colorSpaces.DeviceNColor.Clone | ( | Document | context | ) |

virtual bool org.pdfclown.objects.PdfObjectWrapper.Delete | ( |  | ) | `[virtual, inherited]`

Removes the object from its document context.

The object is no more usable after this method returns.

Returns:
  Whether the object was actually decontextualized (only indirect objects can be decontextualize).

override bool org.pdfclown.documents.contents.colorSpaces.LeveledColor.Equals | ( | object | obj | ) | `[inherited]`

Reimplemented from org.pdfclown.objects.PdfObjectWrapper< PdfDataObject >.

static DeviceNColor org.pdfclown.documents.contents.colorSpaces.DeviceNColor.Get | ( | PdfArray | components | ) | `[static]`

Gets the color corresponding to the specified components.

Parameters:

  | components | Color components to convert.

static PdfDirectObject org.pdfclown.objects.PdfObjectWrapper.GetBaseObject | ( | PdfObjectWrapper< PdfDataObject > | wrapper | ) | `[static, inherited]`

Gets the PDF object backing the specified wrapper.

Parameters:

  | wrapper | Object to extract the base from.

double org.pdfclown.documents.contents.colorSpaces.LeveledColor.GetComponentValue | ( | int | index | ) | `[protected, inherited]`

Gets the specified color component.

Parameters:

  | index | Component index.

sealed override int org.pdfclown.documents.contents.colorSpaces.LeveledColor.GetHashCode | ( |  | ) | `[inherited]`

Reimplemented from org.pdfclown.objects.PdfObjectWrapper< PdfDataObject >.

static double org.pdfclown.documents.contents.colorSpaces.Color.NormalizeComponent | ( | double | value | ) | `[static, protected, inherited]`

Gets the normalized value of a color component [PDF:1.6:4.5.1].

Parameters:

  | value | Color component value to normalize.

Returns:
  Normalized color component value.

virtual PdfString org.pdfclown.objects.PdfObjectWrapper.RetrieveName | ( |  | ) | `[protected, virtual, inherited]`

Retrieves the name possibly associated to this object, walking through the document's name dictionary.

PdfDirectObject org.pdfclown.objects.PdfObjectWrapper.RetrieveNamedBaseObject | ( |  | ) | `[protected, inherited]`

Retrieves the object name, if available; otherwise, behaves like PdfObjectWrapper.BaseObject.

void org.pdfclown.documents.contents.colorSpaces.LeveledColor.SetComponentValue | ( | int | index,
|  | double | value |
| ) |  |  | `[protected, inherited]`

## Property Documentation

PdfArray org.pdfclown.documents.contents.colorSpaces.LeveledColor.BaseArray`[get, protected, inherited]`

virtual PdfDirectObject org.pdfclown.objects.PdfObjectWrapper.BaseObject`[get, set, inherited]`

Gets the underlying reference object, if available; otherwise, gets the underlying data object.

ColorSpace org.pdfclown.documents.contents.colorSpaces.Color.ColorSpace`[get, inherited]`

sealed override IList<PdfDirectObject> org.pdfclown.documents.contents.colorSpaces.LeveledColor.Components`[get, inherited]`

Gets the components defining this color value.

Reimplemented from org.pdfclown.documents.contents.colorSpaces.Color.

PdfIndirectObject org.pdfclown.objects.PdfObjectWrapper.Container`[get, inherited]`

Gets the indirect object containing the base object.

PdfIndirectObject org.pdfclown.objects.PdfObjectWrapper.DataContainer`[get, inherited]`

Gets the indirect object containing the base data object.

Document org.pdfclown.objects.PdfObjectWrapper.Document`[get, inherited]`

Gets the document context.

File org.pdfclown.objects.PdfObjectWrapper.File`[get, inherited]`

Gets the file context.

Copyright 2006-2013 Stefano Chizzolini. For more information, please visit PDF Clown home page.